//SKYBOX AND TEXTURES FROM gwdm2 by GW
//ooze from Akutatourney6 by AKUTA
//models by soc

textures/cjumps/moon_skybox
{

	//q3map_lightsubdivide 768
	//q3map_backsplash 0 0
	//q3map_sun 1 1 1 100 -41 58

	//q3map_surfacelight 50
         
        q3map_sunExt 1 1 1 100 -41 58
        q3map_lightmapFilterRadius 0 8	
        q3map_skylight 100 3 
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm nodlight
	
	skyparms textures/cjumps/env/moon_skybox 1024 -
	
	nopicmip
	nomipmaps
	{
		map textures/cjumps/clouds.tga
                  
		tcMod scroll 0.0007 -0.00080		
		tcmod scale 3 3
		blendfunc GL_ONE GL_ONE
        }
	{
		map textures/cjumps/clouds2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.0004 -0.0026	
		tcMod scale 3 3
	        blendfunc GL_ONE GL_ONE
		
		
	}
}

textures/cjumps/ice1
{
	qer_trans 0.80
	qer_editorimage textures/cjumps/Concrete_04_cg
	q3map_lightmapBrightness .3
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	

	{
		map textures/cjumps/Concrete_04_cg

	}
	
	{
		map textures/cjumps/synice_effect_dark.jpg
		tcGen environment
		blendfunc add
		
	}
}


textures/cjumps/light4
{
	q3map_lightImage  textures/cjumps/light_01
	q3map_surfaceLight 3000
	
	qer_editorimage  textures/cjumps/light_01
	surfaceparm trans
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/cjumps/light_01
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map  textures/cjumps/light_01
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}

textures/cjumps/ooze
{
	qer_editorimage textures/cjumps/oozeb.tga
	surfaceparm nomarks
	surfaceparm water
	q3map_lightsubdivide 100
	q3map_surfacelight 200
	{
		map textures/cjumps/oozeb.tga
		blendfunc add
		tcMod turb 0.3 0.2 1 0.03
		tcMod scale 0.8 0.6
		tcMod scroll -0.05 -0.3
	}
	{
		map textures/cjumps/oozeb.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.04
		tcMod scale 0.7 0.9
		tcMod scroll 0.01 -0.2
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	
}

//TAKEN FROM plants_soc BY SOC

// ======================================================================
// TREE
// ======================================================================
textures/cjumps/tree01_bark
{
	qer_editorimage textures/cjumps/tree01_bark.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cjumps/tree01_bark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/cjumps/tree01_stump
{
	qer_editorimage textures/cjumps/tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cjumps/tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/cjumps/tree01_leaves
{
	qer_editorimage textures/cjumps/tree01_leaves.tga
	q3map_cloneShader textures/cjumps/tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/cjumps/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/cjumps/tree01_leavesback
{
	qer_editorimage textures/cjumps/tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/cjumps/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}